#ifndef NEWVERSIONWIDGET_H
#define NEWVERSIONWIDGET_H

#include "versionselectwidget.h"

#include <QWidget>

namespace Ui {
class NewVersionWidget;
}

class VersionSelectWidget;
class NewVersionWidget : public QWidget
{
    Q_OBJECT

public:
    explicit NewVersionWidget(QWidget *parent = nullptr);
    void initialize(VersionSelectWidget *versionSelectWidget,QString prevName);
    ~NewVersionWidget();

private slots:
    void on_createButton_clicked();

    void on_cancelButton_clicked();

private:
    Ui::NewVersionWidget *ui;
    VersionSelectWidget *versionSelectWidget;
};

#endif // NEWVERSIONWIDGET_H
